#! /bin/bash
# ----------------------------------------------------------------------------
# /tmp/install.sh - wsdd installation
#
# Creation   : 2020-02-24 Peter Baeumer
# Last update: $Id: install.sh 3238 2024-03-21 05:32:45Z root $
#
# Copyright (c) 2020 Peter Baeumer, <eisfair(at)baeumer(dot)duckdns(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# set package name
PACKAGENAME=wsdd
[ -f /etc/config.d/${PACKAGENAME} ] && . /etc/config.d/${PACKAGENAME}

# ----------------------------------------------------------------------------
# Setup step 1
# ----------------------------------------------------------------------------

chmod 0755 /var/install/dialog.d/WSDD*
[ ! -d /etc/${PACKAGENAME} ] && mkdir /etc/${PACKAGENAME}

# ----------------------------------------------------------------------------
# Add menu
# ----------------------------------------------------------------------------
/var/install/bin/add-menu setup.services.menu setup.services.${PACKAGENAME}.menu "${PACKAGENAME}"

# ----------------------------------------------------------------------------
# Create default config
# ----------------------------------------------------------------------------

systemctl -q stop wsdd 2>/dev/null
systemctl daemon-reload

/var/install/config.d/${PACKAGENAME}-update.sh --quiet
/var/install/config.d/${PACKAGENAME}.sh --quiet

if systemctl -q is-enabled wsdd ; then
    systemctl -q start wsdd
fi
exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
